std::exponential_distribution< _RealType > Class Template Reference
Poisson Distributions

## Classes

struct | param_type

## Public Types

typedef _RealType | result_type

## Public Member Functions

| exponential_distribution (const result_type &__lambda=result_type(1))
| exponential_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
_RealType | lambda () const
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

bool | operator== (const exponential_distribution &__d1, const exponential_distribution &__d2)

## Detailed Description

### template<typename _RealType = double>
class std::exponential_distribution< _RealType >

An exponential continuous distribution for random numbers.

The formula for the exponential probability density function is .

Distribution Statistics
Mean |
Median |
Mode |
Range |
Standard Deviation |

Definition at line 4646 of file random.h.

## Member Typedef Documentation

template<typename _RealType = double>

typedef _RealType std::exponential_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 4649 of file random.h.

## Constructor & Destructor Documentation

template<typename _RealType = double>

std::exponential_distribution< _RealType >::exponential_distribution | ( | const result_type & | __lambda = `result_type(1)` | ) |

inlineexplicit

Constructs an exponential distribution with inverse scale parameter .

Definition at line 4684 of file random.h.

## Member Function Documentation

template<typename _RealType = double>

_RealType std::exponential_distribution< _RealType >::lambda | ( |  | ) | const

inline

Returns the inverse scale parameter of the distribution.

Definition at line 4705 of file random.h.

template<typename _RealType = double>

result_type std::exponential_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 4734 of file random.h.

References std::numeric_limits< _Tp >::max().

template<typename _RealType = double>

result_type std::exponential_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 4727 of file random.h.

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::exponential_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 4742 of file random.h.

References std::exponential_distribution< _RealType >::operator()().

Referenced by std::exponential_distribution< _RealType >::operator()().

template<typename _RealType = double>

param_type std::exponential_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 4712 of file random.h.

Referenced by std::operator>>().

template<typename _RealType = double>

void std::exponential_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 4720 of file random.h.

template<typename _RealType = double>

void std::exponential_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Has no effect on exponential distributions.

Definition at line 4699 of file random.h.

## Friends And Related Function Documentation

template<typename _RealType = double>

bool operator== | ( | const exponential_distribution< _RealType > & | __d1,
|  | const exponential_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two exponential distributions have the same parameters.

Definition at line 4782 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc